#!/bin/sh -efu

. install2-init-functions

# Create logging firewall rules
exec_chroot sed -i \
	'$i\-j ULOG --ulog-nlgroup 1 --ulog-cprange 48 --ulog-qthreshold 50 --ulog-prefix "icount"' \
	/etc/net/ifaces/default/fw/iptables/filter/INPUT
exec_chroot sed -i \
	'$i\-j ULOG --ulog-nlgroup 1 --ulog-cprange 48 --ulog-qthreshold 50 --ulog-prefix "ocount"' \
	/etc/net/ifaces/default/fw/iptables/filter/OUTPUT
exec_chroot sed -i \
	'$i\-j ULOG --ulog-nlgroup 1 --ulog-cprange 48 --ulog-qthreshold 50 --ulog-prefix "fcount"' \
	/etc/net/ifaces/default/fw/iptables/filter/FORWARD

# Enable sqlite module, disable logemu
sed -i \
	-e 's,^#\(plugin="/.*/ulogd_SQLITE3.so"\)$,\1,g' \
	-e 's,^\(plugin="/.*/ulogd_LOGEMU.so"\)$,#\1,g' \
	$destdir/etc/ulogd.conf

# Create default database
echo ".read /usr/share/ulogd/sqlite3.table" | exec_chroot sqlite3 /var/lib/ulogd/sqlite3.db
exec_chroot chown ulogd:ulogd /var/lib/ulogd/sqlite3.db

# Update database scheme
echo ".read /usr/share/alterator-ulogd/ulogd.scheme" | exec_chroot sqlite3 /var/lib/ulogd/sqlite3.db

# Start service on boot
exec_chroot chkconfig --level 2345 ulogd on
