#!/bin/sh -efu

. install2-init-functions

# Check if openldap backend is present
test -x $destdir/usr/lib/alterator/backend3/openldap || exit 0

# Remove default db01 and db02 bases
exec_chroot alterator-cmdline /openldap/domains/db01 action delete &> /dev/null
exec_chroot alterator-cmdline /openldap/domains/db02 action delete &> /dev/null

domainname="$(hostname -d)"
# Create new LDAP domain
exec_chroot alterator-cmdline /openldap action new name "$domainname" type "domain" &> /dev/null

# Get current config
args="$(exec_chroot alterator-cmdline /openldap/domains/$domainname action read|sed -e 's,^((\"[^\"]*",,g' -e 's,))$,,g')"

# Set password as well
exec_chroot alterator-cmdline /openldap/domains/$domainname action write passwd1 "$(pwgen 16 1)" $args &> /dev/null

# Get current config changing alterator-openldap syntax to altertator-auth one
args="$(exec_chroot alterator-cmdline /openldap/domains/$domainname action read|sed -e 's,^((\"[^\"]*\",,g' -e 's,ldap_suffix,ldap_basedn,g' -e 's,))$,,g')"

# Set pam_ldap on
exec_chroot alterator-cmdline /auth action write profile "ldap" ldap_uri "ldap://localhost" $args &> /dev/null

# Set nss_ldap on
exec_chroot alterator-cmdline /nsswitch action write profile "ldap" ldap_uri "ldap://localhost" $args &> /dev/null
