#!/bin/sh -efu

. install2-init-functions

hostname="$(hostname)"

# Update dovecot and openldap SSL configs with the hostname
test -r $destdir/etc/dovecot/dovecot-openssl.cnf && sed -i \
    -e "s,^CN=.*,CN=$hostname,g" \
    -e "s,emailAddress=.*,emailAddress=postmaster@$hostname,g" \
    $destdir/etc/dovecot/dovecot-openssl.cnf

test -r $destdir/etc/openldap/slapd-openssl.cnf && sed -i \
    -e "s,^CN=.*,CN=$hostname,g" \
    -e "s,emailAddress=.*,emailAddress=postmaster@$hostname,g" \
    $destdir/etc/openldap/slapd-openssl.cnf

# Set openldap sertificate file
test -r $destdir/etc/openldap/slapd.conf && sed -i \
    -e 's,^#TLSCertificateFile.*,TLSCertificateFile /etc/openldap/ssl/slapd.pem,g' \
    -e 's,^#TLSCertificateKeyFile.*,TLSCertificateKeyFile /etc/openldap/ssl/slapd.pem,g' \
    $destdir/etc/openldap/slapd.conf
